MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000800XdebugUsage problems (Wrong Results)public2012-03-20 09:172012-06-27 22:13
Reporterfch 
Assigned Toderick 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformAppleOSMacOSOS VersionLion
Product Version2.2dev 
Target Version2.2.1Fixed in Version2.2.1 
Summary0000800: var_dump(get_class(new foo\bar')) add an extra "\" in class name
DescriptionIf you do a var_dump() on a class which is in a namespace, each "\" is displayed as "\\".
Steps To Reproduce<?php

namespace foo;

class bar {}

var_dump(get_class(new bar));
Additional Informationthe script display string(7) "foo\\bar" instead of string(7) "foo\bar".
TagsNo tags attached.
Operating SystemMacOS
PHP Version5.4.0
Attached Files

- Relationships

-  Notes
(0002302)
derick (administrator)
2012-06-27 22:13

Fixed on github for 2.2.1 and 2.3.

- Issue History
Date Modified Username Field Change
2012-03-20 09:17 fch New Issue
2012-03-21 10:23 derick Target Version => 2.2.1
2012-06-27 22:13 derick Note Added: 0002302
2012-06-27 22:13 derick Status new => closed
2012-06-27 22:13 derick Assigned To => derick
2012-06-27 22:13 derick Resolution open => fixed
2012-06-27 22:13 derick Fixed in Version => 2.2.1
2016-07-31 13:36 derick Category Usage problems => Usage problems (Crashes)
2016-07-31 13:38 derick Category Usage problems (Crashes) => Usage problems (Wrong Results)


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker